<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author  javier.barajas
@description  Pantalla de llamado al visor
@cu  CU 204 
@version  1.0

TODO: si se hace update de toda la forma en alguno de los botones de acción, la interacción con el
mapa se daña.

-->


<h:form id="seleccionVisorGeofraficoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <h:inputHidden id="paramSeleccionPrediosActualizacion"
                   value="#{generarFormularioSbc.valorSeleccionActualizacion}" />
    <!-- Input para enviar parámetro con codigos de predios -->
    <h:inputHidden id="codigoManzanasHidden666"
                   value="#{generarFormularioSbc.seleccionVisor}" 
                   />

    <!-- commandLink para activar el envio de numeros prediales desde el visor -->
    <p:commandLink id="linkAdicionarManzanasASeleccionados666"
                   process="@this, codigoManzanasHidden666"
                   style="visibility: hidden" />
    <p:messages id="msgsSVG" showDetail="false" globalOnly="false" />

    <p:spacer height="5" />


    <legend>
        <h:outputText styleClass="legendTitle"
                      value="Seleccionar manzanas mediante visor geografico" />
    </legend>

    <p:panel header="Seleccion Barrios a Mostrar por el Visor">
        <h:panelGrid columns="2" cellspacing="7" >
            <h:outputText value="Numero de Barrios:" />
            <h:outputText value="#{generarFormularioSbc.numeroBarriosMunicipio}" />
            <h:outputText value="Seleccione el Barrio:" />
            <h:selectOneMenu id="departamentoSeleccionado" label="Departamento"
                             value="#{generarFormularioSbc.seleccionBarrio}">
                <f:selectItem itemLabel="Barrios..." itemValue="" />
                <f:selectItems value="#{generarFormularioSbc.selectListaBarrios}" />
                <p:ajax listener="#{generarFormularioSbc.cargarManzanasVisor}"/>
            </h:selectOneMenu>
        </h:panelGrid>
    </p:panel>

    <p:panel header="Seleccion" rendered="#{generarFormularioSbc.rederedConsultaVisor}">

        <h:panelGrid columns="2" cellspacing="7"  >
            <h:outputText value="Numero de Manzanas:" />
            <h:outputText value="#{generarFormularioSbc.numeroManzanasSeleccionadas}" />
            <h:outputText value="Numero de Predios:" />
            <h:outputText value="#{generarFormularioSbc.numeroPrediosSeleccionados}" />
        </h:panelGrid>
    </p:panel>    

    <h:panelGrid columns="3" cellspacing="7">
        <p:commandButton id="verMapa" widgetVar="verMapaVar" value="Ver mapa"
                         icon="ui-icon-image"    
                         onclick="cargarMapaZoomToFeature(
                                         '#{generarFormularioSbc.applicationClientName}',
                                         '#{generarFormularioSbc.tokenParam}',
                                         '#{generarFormularioSbc.moduleLayer}',
                                         '#{generarFormularioSbc.moduleTools}',
                                         '#{generarFormularioSbc.codigoPrediosParaVisor}');"/>

        <p:commandButton id="cargarSeleccion" action="#{generarFormularioSbc.seleccionVisorManzanas}" 
                         oncomplete="vistaSeleccionWV.show();" process="@all"
                         value="Cargar Seleccion" update=":seleccionVisorGeofraficoForm, :visorSeleccionUpdate"/>

        <p:commandButton id="volver" value="Volver" onclick="hide();" 
                         update=":generarFormularioSBCForm,:visorSeleccionUpdate" />
    </h:panelGrid>



    <ui:include src="../../util/visorGeografico.xhtml" />	

</h:form>